Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteRptServer

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteRptServer

extends java.rmi.Remote

Field Summary
`static java.lang.String` | `REMOTE_NAME`

Method Summary
`boolean` | `canAutoRefresh(java.lang.String name)` This method is used for judge if the pipeline html page auto-refresh
`java.lang.String` | `copySchedules(java.lang.String[] taskids, java.lang.String user)` Copy the selected schedules tasks
`java.lang.String` | `deleteSchedules(java.lang.String[] taskids, java.lang.String user)` Delete the selected schedules tasks
`void` | `delScriptFile(java.lang.String filename)` Deprecated.
`boolean` | `disableScheduledTask(java.lang.String taskID)` Disable a scheduled task through the task ID.
`java.lang.String` | `disableSchedules(java.lang.String[] taskids, java.lang.String user)` Disable the selected schedules tasks
`void` | `dumpEnginesInfo()` Invoke this method to dump all currently active engine's instant information (status)
`boolean` | `enableScheduledTask(java.lang.String taskID)` Enable a scheduled task through the task ID.
`java.lang.String` | `enableSchedules(java.lang.String[] taskids, java.lang.String user)` Enable the selected schedules tasks
`ExportedFileList` | `exportResult(java.lang.String userID, java.lang.String resultFileName, java.util.Properties props)` Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF and PS.
`java.lang.String` | `exportResultToOneFormat(java.lang.String userID, java.lang.String resultFileName, java.util.Properties props)` Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF or PS.
`java.lang.String` | `exportScripts(java.lang.String userID, java.lang.String[] taskIDs)` Generate script of the specified tasks
`java.util.Vector` | `getActiveTasks()` Get active tasks.
`java.util.Vector` | `getActiveTasksByUser(java.lang.String userID)` Get active tasks.
`RemoteAdminService` | `getAdminService()` Get the admin service of report server.
`int` | `getBuildNumber()` Get the build number of reports server.
`RemoteCatalogInfo` | `getCatalogInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber)` Gets CatalogInfo of specific version of catalog.
`ClusterMonitor` | `getClusterMonitor()` Get the cluster monitor.
`RemoteClusterService` | `getClusterService()` Get the report cluster service.
`RemoteCompletedTaskTable` | `getCompletedTaskTable()` Get CompletedTaskTable.
`RemoteDHTMLClientService` | `getDHTMLClientService()` Gets RemoteDHTMLClientService.
`java.lang.String` | `getDynamicClassDir()` Get the dynamic class directory of the report server.
`java.util.List` | `getEngineErrors(java.lang.String resultFile)` Get the engine errors after runing a report.
`RemoteFileAccessService` | `getFileAccessService()` Gets RemoteFileAccessService
`java.lang.String` | `getFilenames(java.lang.String name, int index)` This method is used for get the order index 's html filenames
`RemoteHelpAPI` | `getHelpService()` Gets RemoteHelpAPI.
`java.lang.String` | `getHomePath()` Get the home path of the report server.
`RemoteLargeReportManager` | `getLargeReportManager()` Gets LargeReportManager.
`java.lang.String` | `getLicenceExpiredDate()` Gets the expire date of the server license
`java.util.Hashtable` | `getMediaTray()` Get names hashtable of printers' media tray.
`MonitorService` | `getMonitorService()` Get the monitor service of the server.
`RemoteOndemandReportManager` | `getOndemandReportManager()` Gets OndemandReportManager.
`java.lang.String[]` | `getPaperList()` Get the print paper list.
`RemoteParameterRecorder` | `getParameterRecorder()` Get the report parameter recorder for user get and set historical parameter value.
`java.util.Vector` | `getPrinters()` Get names of printers.
`RemoteProfileManager` | `getProfileManager()` Get the function profile manager, which is used to manage the function profiles.
`RemoteReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber, java.lang.String report, int rptVerNumber)` Gets ReportInfo of specific version of catalog and report.
`RemoteReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber, java.lang.String report, int rptVerNumber, java.util.Hashtable ht)` Gets ReportInfo of specific version of catalog and report.
`RemoteReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, java.lang.String report)` Gets ReportInfo.
`RemoteResourceManager` | `getResourceManager()` Gets ResourceManager.
`RemoteResultVersionTable` | `getResultVersionTable()` Get ResultVersionTable.
`RemoteRstResultInfo` | `getRstResultInfo(java.lang.String rst)` Gets RemoteRstResultInfo of specific rst file.
`java.util.Properties` | `getScheduledTask(java.lang.String taskID)` Get properties of a scheduled task through the task ID.
`java.util.Vector` | `getScheduledTasks()` Get scheduled tasks.
`java.util.Vector` | `getScheduledTasksByUser(java.lang.String userId)` get scheduled tasks by submitter.
`java.lang.String[]` | `getScriptsList()` Deprecated.
`RemoteSecurityWebAdaptor` | `getSecurityWebAdaptor()` Gets SecurityWebAdaptor
`RemoteDHtmlAPI` | `getSimpleDHtmlService()` Gets RemoteDHtmlAPI.
`RemoteTempResultOwnerManager` | `getTempResultOwnerManager()` Gets TempResultOwnerManager.
`RemoteTriggerManager` | `getTriggerManager()`
`RemoteUserPreferenceManager` | `getUserDHTMLPreferenceManager()` Get the preference manager for user get and save his/her dhtml preference.
`RemoteUserPreferenceManager` | `getUserPreferenceManager()` Get the preference manager for user get and save his/her preference.
`RemoteUserSessionManager` | `getUserSessionManager()` Gets UserSessionManager.
`RemoteVersionAmountLimitTable` | `getVersionAmountLimitTable()` Get VersionAmountTable.
`WebPageOptions` | `getWebPageOptions()` Gets WebPageOptions.
`RemoteWebUIConfig` | `getWebUIConfig()` Gets WebUIConfig
`void` | `init(java.util.Properties svrProps)` Initialize RptServer.
`boolean` | `isClusterEnable()` Check if this server have cluster feature.
`boolean` | `isFreeVirtualAppliance()` Whether this server is free virtual appliance.
`boolean` | `isHtmlPipeLine(java.lang.String name)` This method is used for judge if the temp result is the pipeline html
`boolean` | `isRunningQueue()` Judge if the running report managered by a running report queue
`boolean` | `isScriptFileExist(java.lang.String filename)` Deprecated.
`boolean` | `isStarted()` Checks the server is started
`boolean` | `isTaskQueueFull(int priority)` return whether task queue is full.
`boolean` | `isTempResultReady(java.lang.String tempResultName)` Test if the temporary result is ready.
`java.lang.String` | `loadScheduledFromFile(java.lang.String fileName)` load schedules tasks from a sch file
`java.lang.String` | `loadScriptFromFile(java.lang.String filename)` Deprecated.
`java.util.Properties[]` | `parseScripts(java.lang.String scripts)` Parse given scripts, and transfer corresponding task into Properties object.
`void` | `publishResultToVersion(java.lang.String userid, java.util.Properties ht)` Publish report result to version system when viewing report result
`boolean` | `removeScheduledTask(java.lang.String taskID)` Remove a scheduled task through the task ID.
`void` | `restart(java.util.Properties svrProps)` Restart the RptServer.
`java.lang.String` | `runReport(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams)` Run a report immediately.
`java.lang.String` | `runReportNotWaitResult(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams)` Run a report.
`java.lang.String` | `runReportWithTimeouts(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams, long timeouts)` Run a report immediately with timeouts.
`java.lang.String` | `runTask(java.lang.String userID, java.util.Properties propTask)` Run a task immediately and return the completed task ID.
`long` | `runTestReport(java.util.Properties ht)`
`java.lang.String` | `saveScheduledToFile(java.lang.String[] taskid, java.lang.String fileName, boolean bOverWrite)` Save schedules tasks to a sch file
`java.lang.String` | `saveScheduledToScriptFile(java.lang.String[] taskid)` Deprecated.
`boolean` | `saveScriptToFile(java.lang.String script, java.lang.String filename)` Deprecated.
`void` | `setJDBCConnection(java.lang.String userID, java.lang.String catalog, java.lang.String jdbcURL, java.lang.String dbUser, java.lang.String dbPswd, java.lang.String jdbcDriver)` Deprecated. Replaced by properties jrs.jdbc_url, jrs.jdbc_driver and jrs.jdbc_connection_object for running report.
`void` | `setRefreshed(java.lang.String name, boolean isRefreshed)` This method is used for set the first pipeline html page refreshed
`void` | `setTempResultOwnerManager(RemoteTempResultOwnerManager ownerMan)` Sets TempResultOwnerManager.
`void` | `setUserSessionManager(RemoteUserSessionManager ssnMan)` Sets UserSessionManager.
`void` | `shutdown()` Shutdown the RptServer.
`void` | `start()` Starts the RptServer.
`boolean` | `stopActiveTask(java.lang.String taskID)` Stop a scheduled task with the task ID.
`boolean` | `stopActiveTaskByUser(java.lang.String taskID, java.lang.String userID)` Stop a scheduled task with the task ID and the user ID.
`java.lang.String` | `submitScheduledTask(java.lang.String userID, java.util.Properties propScheduledTask)` Submit a scheduled task and return the task ID.
`java.lang.Object[]` | `submitScheduledTasks(java.lang.String userID, java.util.Properties[] tasks)` Submit set of schedule task and return the task ID or Exception.
`java.lang.String` | `waitTempResultReady(java.lang.String tempResultName)` Wait the temporary result to be ready and return the error message.

Field Detail

### REMOTE_NAME

    static final java.lang.String REMOTE_NAME

See Also:
  Constant Field Values

Method Detail

### isStarted

    boolean isStarted()
                      throws java.rmi.RemoteException

  Checks the server is started

  Returns:
    is the server started.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### shutdown

    void shutdown()
                  throws java.rmi.RemoteException

  Shutdown the RptServer.

  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getResourceManager

    RemoteResourceManager getResourceManager()
                                             throws java.rmi.RemoteException

  Gets ResourceManager.

  Returns:
    the ResourceManager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `ResourceManager`

### getSecurityWebAdaptor

    RemoteSecurityWebAdaptor getSecurityWebAdaptor()
                                                   throws java.rmi.RemoteException

  Gets SecurityWebAdaptor

  Returns:
    the SecurityWebAdaptor
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `SecurityWebAdaptor`

### getSimpleDHtmlService

    RemoteDHtmlAPI getSimpleDHtmlService()
                                         throws java.rmi.RemoteException

  Gets RemoteDHtmlAPI.

  Returns:
    the RemoteDHtmlAPI.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteDHtmlAPI`

### getDHTMLClientService

    RemoteDHTMLClientService getDHTMLClientService()
                                                   throws java.rmi.RemoteException

  Gets RemoteDHTMLClientService.

  Returns:
    the RemoteDHTMLClientService.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteDHTMLClientService`

### getFileAccessService

    RemoteFileAccessService getFileAccessService()
                                                 throws java.rmi.RemoteException

  Gets RemoteFileAccessService

  Returns:
    the RemoteFileAccessService
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteFileAccessService`

### getHelpService

    RemoteHelpAPI getHelpService()
                                 throws java.rmi.RemoteException

  Gets RemoteHelpAPI.

  Returns:
    the RemoteHelpAPI.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteHelpAPI`

### getTempResultOwnerManager

    RemoteTempResultOwnerManager getTempResultOwnerManager()
                                                           throws java.rmi.RemoteException

  Gets TempResultOwnerManager.

  Returns:
    the TempResultOwnerManager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `TempResultOwnerManager`

### setTempResultOwnerManager

    void setTempResultOwnerManager(RemoteTempResultOwnerManager ownerMan)
                                   throws java.rmi.RemoteException

  Sets TempResultOwnerManager.

  Parameters:
    `ownerMan` - the TempResultOwnerManager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `TempResultOwnerManager`

### getUserSessionManager

    RemoteUserSessionManager getUserSessionManager()
                                                   throws java.rmi.RemoteException

  Gets UserSessionManager.

  Returns:
    the UserSessionManager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `UserSessionManager`

### setUserSessionManager

    void setUserSessionManager(RemoteUserSessionManager ssnMan)
                               throws java.rmi.RemoteException

  Sets UserSessionManager.

  Parameters:
    `ssnMan` - the UserSessionManager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `UserSessionManager`

### getRstResultInfo

    RemoteRstResultInfo getRstResultInfo(java.lang.String rst)
                                         throws java.rmi.RemoteException

  Gets RemoteRstResultInfo of specific rst file.

  Parameters:
    `rst` - the real path of the rst file. For example: c:\temp\rst.
  Returns:
    the RemoteRstResultInfo.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteRstResultInfo`

### getReportInfo

    RemoteReportInfo getReportInfo(java.lang.String userID,
                                   java.lang.String catalog,
                                   java.lang.String report)
                                   throws java.rmi.RemoteException

  Gets ReportInfo.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
  Returns:
    the ReportInfo.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `ReportInfo`

### getCatalogInfo

    RemoteCatalogInfo getCatalogInfo(java.lang.String userID,
                                     java.lang.String catalog,
                                     int catVerNumber)
                                     throws java.rmi.RemoteException

  Gets CatalogInfo of specific version of catalog.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SunVMDemo/SunVMDemo.cat.
    `catVerNumber` - version number of the catalog
  Returns:
    the CatalogInfo.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `CatalogInfo`

### submitScheduledTask

    java.lang.String submitScheduledTask(java.lang.String userID,
                                         java.util.Properties propScheduledTask)
                                         throws java.rmi.RemoteException,
                                                RptServerException

  Submit a scheduled task and return the task ID.

  Parameters:
    `userID` - the user ID.
    `propScheduledTask` - the properties of the scheduled task. Please see the file "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm" for the instruction of the scheduled task properties.
  Returns:
    the task ID.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### runTask

    java.lang.String runTask(java.lang.String userID,
                             java.util.Properties propTask)
                             throws java.rmi.RemoteException,
                                    RptServerException

  Run a task immediately and return the completed task ID. The schedule infomation would be ignored if it exist in the task properties.

  Parameters:
    `userID` - the user ID.
    `propTask` - the properties of the task. Please see the file "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm" for the instruction of the task properties.
  Returns:
    the completed task ID.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### runReport

    java.lang.String runReport(java.lang.String userID,
                               java.lang.String catalog,
                               java.lang.String report,
                               java.util.Properties propParams)
                               throws java.rmi.RemoteException,
                                      RptServerException,
                                      TooManyReportsException

  Run a report immediately. After the running is over, return the temporary result name.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server. For example:/SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example:invoice.cls.
    `propParams` - the properties that contains APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report. For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the parameter.

              Example: Running a report with user's JDBC connection object(APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //set the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //run the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReport(userID, catalog, report, propParams);

  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
    `TooManyReportsException` - if a TooManyReportsException occurs.

### runReportNotWaitResult

    java.lang.String runReportNotWaitResult(java.lang.String userID,
                                            java.lang.String catalog,
                                            java.lang.String report,
                                            java.util.Properties propParams)
                                            throws java.rmi.RemoteException,
                                                   RptServerException,
                                                   TooManyReportsException

  Run a report. Before the running is over, return the temporary result name. Use the methods isTempResultReady(...) and waitTempResultReady(...) to wait until the temporary result is ready.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example: invoice.cls.
    `propParams` - the properties that contain APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report. For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the paramter.

              Example: Running a report with user's JDBC connection object(APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //set the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //run the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReportNotWaitResult(userID, catalog, report, propParams);

  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
    `TooManyReportsException` - if a TooManyReportsException occurs.

### runReportWithTimeouts

    java.lang.String runReportWithTimeouts(java.lang.String userID,
                                           java.lang.String catalog,
                                           java.lang.String report,
                                           java.util.Properties propParams,
                                           long timeouts)
                                           throws java.rmi.RemoteException,
                                                  RptServerException,
                                                  TooManyReportsException

  Run a report immediately with timeouts. When timeouts reached, this method will add the temporary result name into the Large Reports List and return the temporary result name. After calling this method, can use the methods isTempResultReady(...) and waitTempResultReady(...) to check/wait until the temporary result is ready, or use use the methods rptServer.getLargeReportManager().getLargeReportRecord(tempResultName) to check if the temporary result is ready. Can use the method rptServer.getLargeReportManager().getLargeReports(userID) to get the large reports list belong to the userID.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server. For example: /SunVMDemo/SunVMDemo.cat.
    `report` - the report name. For example: invoice.cls.
    `propParams` - the properties that contain APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report. For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the paramter.

              Example: Running a report with user's JDBC connection object(APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //set the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //run the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReportWithTimeouts(userID, catalog, report, propParams, jet.server.api.http.HttpUtil.getReportWaitTimeouts());

    `timeouts` - the timeouts in millisecond.
  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
    `TooManyReportsException` - if a TooManyReportsException occurs.

### getLargeReportManager

    RemoteLargeReportManager getLargeReportManager()
                                                   throws java.rmi.RemoteException

  Gets LargeReportManager.

  Returns:
    the LargeReportManager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `LargeReportManager`

### isTempResultReady

    boolean isTempResultReady(java.lang.String tempResultName)
                              throws java.rmi.RemoteException,
                                     RptServerException

  Test if the temporary result is ready.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    if the temporary result is ready.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### waitTempResultReady

    java.lang.String waitTempResultReady(java.lang.String tempResultName)
                                         throws java.rmi.RemoteException,
                                                java.lang.InterruptedException

  Wait the temporary result to be ready and return the error message.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    the error message. null if no error.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.
    `java.lang.InterruptedException`

### exportResultToOneFormat

    java.lang.String exportResultToOneFormat(java.lang.String userID,
                                             java.lang.String resultFileName,
                                             java.util.Properties props)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF or PS.

  Parameters:
    `userID` - the user ID.
    `resultFileName` - the real filename of the result. For example: c:\jrserver\temp\18238181130.temp.
    `props` - the properties that contains APIConst.TAG_RESULT_TYPE. About properties for each result type, please see the document "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm".
  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### exportResult

    ExportedFileList exportResult(java.lang.String userID,
                                  java.lang.String resultFileName,
                                  java.util.Properties props)
                                  throws java.rmi.RemoteException,
                                         RptServerException

  Export a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF and PS.

  Parameters:
    `userID` - the user ID.
    `resultFileName` - the real filename of the result. For example: c:\jrserver\temp\18238181130.temp.
    `props` - the properties APIConst.TAG_RST, APIConst.TAG_PDF, APIConst.TAG_TEXT, APIConst.TAG_EXCEL and APIConst.TAG_PS. Value of these properties is true or false. The properties APIConst.TAG_HTML, APIConst.TAG_XML and APIConst.TAG_RTF. Value of these properties is filename without path(for example: invoice and invoice.rtf). About properties for each result type, please see the document "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm".
  Returns:
    the exported file list.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### getResultVersionTable

    RemoteResultVersionTable getResultVersionTable()
                                                   throws java.rmi.RemoteException

  Get ResultVersionTable.

  Returns:
    the ResultVersionTable.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `ResultVersionTable`

### getScheduledTask

    java.util.Properties getScheduledTask(java.lang.String taskID)
                                          throws java.rmi.RemoteException

  Get properties of a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    the properties of a scheduled task.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### removeScheduledTask

    boolean removeScheduledTask(java.lang.String taskID)
                                throws java.rmi.RemoteException

  Remove a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is removed.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### enableScheduledTask

    boolean enableScheduledTask(java.lang.String taskID)
                                throws java.rmi.RemoteException

  Enable a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is enabled.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### disableScheduledTask

    boolean disableScheduledTask(java.lang.String taskID)
                                 throws java.rmi.RemoteException

  Disable a scheduled task through the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is disabled.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### stopActiveTask

    boolean stopActiveTask(java.lang.String taskID)
                           throws java.rmi.RemoteException

  Stop a scheduled task with the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task stops.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### stopActiveTaskByUser

    boolean stopActiveTaskByUser(java.lang.String taskID,
                                 java.lang.String userID)
                                 throws java.rmi.RemoteException

  Stop a scheduled task with the task ID and the user ID.

  Parameters:
    `taskID` - the task ID.
    `userID` - the user ID.
  Returns:
    if the scheduled task stops.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getScheduledTasks

    java.util.Vector getScheduledTasks()
                                       throws java.rmi.RemoteException

  Get scheduled tasks.

  Returns:
    scheduled tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled task.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getScheduledTasksByUser

    java.util.Vector getScheduledTasksByUser(java.lang.String userId)
                                             throws java.rmi.RemoteException

  get scheduled tasks by submitter.

  Parameters:
    `userId` - the submitter
  Returns:
    scheduled tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled task.
  Throws:
    `java.rmi.RemoteException`
  Since:
    JREntServer v6

### getActiveTasks

    java.util.Vector getActiveTasks()
                                    throws java.rmi.RemoteException

  Get active tasks.

  Returns:
    active tasks. The Vector contains Properties objects. Each Properties object includes the properties of an active task.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getActiveTasksByUser

    java.util.Vector getActiveTasksByUser(java.lang.String userID)
                                          throws java.rmi.RemoteException

  Get active tasks.

  Parameters:
    `userID` - the user ID.
  Returns:
    active tasks. The Vector contains Properties objects. Each Properties object includes the properties of an active task.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getCompletedTaskTable

    RemoteCompletedTaskTable getCompletedTaskTable()
                                                   throws java.rmi.RemoteException

  Get CompletedTaskTable.

  Returns:
    the CompletedTaskTable.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `CompletedTaskTable`

### getPrinters

    java.util.Vector getPrinters()
                                 throws java.rmi.RemoteException

  Get names of printers.

  Returns:
    names of printers.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getMediaTray

    java.util.Hashtable getMediaTray()
                                     throws java.rmi.RemoteException

  Get names hashtable of printers' media tray.

  Returns:
    names hashtable of media tray.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### setJDBCConnection

    void setJDBCConnection(java.lang.String userID,
                           java.lang.String catalog,
                           java.lang.String jdbcURL,
                           java.lang.String dbUser,
                           java.lang.String dbPswd,
                           java.lang.String jdbcDriver)
                           throws java.rmi.RemoteException,
                                  RptServerException

  Deprecated. Replaced by properties jrs.jdbc_url, jrs.jdbc_driver and jrs.jdbc_connection_object for running report.

  Change the JDBC connection info of a catalog.

  Parameters:
    `userID` - the user ID.
    `jdbcURL` - the URL of the JDBC connection. The value null means that the value is not changed.
    `dbUser` - the user ID of the JDBC connection. The value null means that the value is not changed.
    `dbPswd` - the password of the JDBC connection. The value null means that the value is not changed.
    `jdbcDriver` - the JDBC dirver of the JDBC connection. The value null means that the value is not changed.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### publishResultToVersion

    void publishResultToVersion(java.lang.String userid,
                                java.util.Properties ht)
                                throws java.rmi.RemoteException,
                                       RptServerException

  Publish report result to version system when viewing report result

  Parameters:
    `userid` - user ID
    `ht` - properties of report result, include catalog name, report name, temp result file name, parameters(if this report has any parameter.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `RptServerException` - if a RptServerException occurs.

### getVersionAmountLimitTable

    RemoteVersionAmountLimitTable getVersionAmountLimitTable()
                                                             throws java.rmi.RemoteException

  Get VersionAmountTable.

  Returns:
    the VersionAmountTable.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `VersionAmountTable`

### isRunningQueue

    boolean isRunningQueue()
                           throws java.rmi.RemoteException

  Judge if the running report managered by a running report queue

  Returns:
    If a report queue is running ,Then return true,Otherwise return false
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isTaskQueueFull

    boolean isTaskQueueFull(int priority)
                            throws java.rmi.RemoteException

  return whether task queue is full.

  Returns:
    If task queue is full return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### saveScheduledToFile

    java.lang.String saveScheduledToFile(java.lang.String[] taskid,
                                         java.lang.String fileName,
                                         boolean bOverWrite)
                                         throws java.rmi.RemoteException

  Save schedules tasks to a sch file

  Parameters:
    `taskid` - The taskid which task will be save to file
    `fileName` - The saved schedule task file's name
    `bOverWrite` - If Replace the exist Schedule file
  Returns:
    The output message to client side
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### loadScheduledFromFile

    java.lang.String loadScheduledFromFile(java.lang.String fileName)
                                           throws java.rmi.RemoteException

  load schedules tasks from a sch file

  Parameters:
    `fileName` - The schedule task's fileName which will be loaded
  Returns:
    return the output message to client side
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### saveScheduledToScriptFile

    java.lang.String saveScheduledToScriptFile(java.lang.String[] taskid)
                                               throws java.rmi.RemoteException

  Deprecated.

  Save schedules tasks to a script file

  Parameters:
    `taskid` - The taskid which task will be save to file
    `fileName` - The saved schedule task file's name
    `bOverWrite` - If Replace the exist Schedule file
  Returns:
    The output message to client side
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### copySchedules

    java.lang.String copySchedules(java.lang.String[] taskids,
                                   java.lang.String user)
                                   throws java.rmi.RemoteException

  Copy the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### deleteSchedules

    java.lang.String deleteSchedules(java.lang.String[] taskids,
                                     java.lang.String user)
                                     throws java.rmi.RemoteException

  Delete the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### enableSchedules

    java.lang.String enableSchedules(java.lang.String[] taskids,
                                     java.lang.String user)
                                     throws java.rmi.RemoteException

  Enable the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### disableSchedules

    java.lang.String disableSchedules(java.lang.String[] taskids,
                                      java.lang.String user)
                                      throws java.rmi.RemoteException

  Disable the selected schedules tasks

  Parameters:
    `taskids` - All selected schedule task id
  Returns:
    the output message to client side
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getFilenames

    java.lang.String getFilenames(java.lang.String name,
                                  int index)
                                  throws java.rmi.RemoteException

  This method is used for get the order index 's html filenames

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
    `index` - : the order of the html file name
  Returns:
    : The order index's html filenames
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### canAutoRefresh

    boolean canAutoRefresh(java.lang.String name)
                           throws java.rmi.RemoteException

  This method is used for judge if the pipeline html page auto-refresh

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
  Returns:
    : if auto-refresh
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### setRefreshed

    void setRefreshed(java.lang.String name,
                      boolean isRefreshed)
                      throws java.rmi.RemoteException

  This method is used for set the first pipeline html page refreshed

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
    `isRefreshed` - the first pipeline html page if or not refreshed
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isHtmlPipeLine

    boolean isHtmlPipeLine(java.lang.String name)
                           throws java.rmi.RemoteException

  This method is used for judge if the temp result is the pipeline html

  Parameters:
    `name` - : the key of the html filename. For example, the key of the html filename 32646870_1.html is 32646870.
  Returns:
    : if the temp result is the pipeline html
  Throws:
    `java.rmi.RemoteException`

### getClusterService

    RemoteClusterService getClusterService()
                                           throws java.rmi.RemoteException

  Get the report cluster service. It provides active report members' info and load balancer etc.

  Returns:
    the ClusterService object.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAdminService

    RemoteAdminService getAdminService()
                                       throws java.rmi.RemoteException

  Get the admin service of report server.

  Returns:
    Administration functions are not supported by remote server API, it will return `null`always.``
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `jet.server.api.`

### getMonitorService

    MonitorService getMonitorService()
                                     throws java.rmi.RemoteException

  Get the monitor service of the server.

  Returns:
    the MonitorService object.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `jet.server.api.monitor.`

### getClusterMonitor

    ClusterMonitor getClusterMonitor()
                                     throws java.rmi.RemoteException

  Get the cluster monitor. It provides active report members' monitor

  Returns:
    the ClusterMonitor object.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isClusterEnable

    boolean isClusterEnable()
                            throws java.rmi.RemoteException

  Check if this server have cluster feature.

  Returns:
    true if has cluster feature, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getParameterRecorder

    RemoteParameterRecorder getParameterRecorder()
                                                 throws java.rmi.RemoteException

  Get the report parameter recorder for user get and set historical parameter value.

  Returns:
    the preference manager.
  Throws:
    `java.rmi.RemoteException`

### getUserPreferenceManager

    RemoteUserPreferenceManager getUserPreferenceManager()
                                                         throws java.rmi.RemoteException

  Get the preference manager for user get and save his/her preference.

  Returns:
    the preference manager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getProfileManager

    RemoteProfileManager getProfileManager()
                                           throws java.rmi.RemoteException

  Get the function profile manager, which is used to manage the function profiles. Profile is predefined for user to specify available functions, a profile defined a set of functions which will be available for end-user when open a report. Only adminstrator can add/remove/update profiles.

  Returns:
    the function profile manager.
  Throws:
    `java.rmi.RemoteException`

### getUserDHTMLPreferenceManager

    RemoteUserPreferenceManager getUserDHTMLPreferenceManager()
                                                              throws java.rmi.RemoteException

  Get the preference manager for user get and save his/her dhtml preference.

  Returns:
    the preference manager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### runTestReport

    long runTestReport(java.util.Properties ht)
                       throws java.rmi.RemoteException,
                              RptServerException

  Throws:
    `java.rmi.RemoteException`
    `RptServerException`

### getHomePath

    java.lang.String getHomePath()
                                 throws java.rmi.RemoteException

  Get the home path of the report server. It is the install-root of reports server.

  Returns:
    the home path of the report server. It is the install-root of reports server.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDynamicClassDir

    java.lang.String getDynamicClassDir()
                                        throws java.rmi.RemoteException

  Get the dynamic class directory of the report server.

  Returns:
    the dynamic class directory of the report server.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getBuildNumber

    int getBuildNumber()
                       throws java.rmi.RemoteException

  Get the build number of reports server.

  Returns:
    the build number of the report server.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getScriptsList

    java.lang.String[] getScriptsList()
                                      throws java.rmi.RemoteException

  Deprecated.

  This method will get an array includes all sheduler script file name

  Returns:
    A String array
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### loadScriptFromFile

    java.lang.String loadScriptFromFile(java.lang.String filename)
                                        throws java.rmi.RemoteException

  Deprecated.

  This method will return script's string

  Parameters:
    `filename` - - A String of the schedule script file name
  Returns:
    The selected script file will be conveted to a string
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### saveScriptToFile

    boolean saveScriptToFile(java.lang.String script,
                             java.lang.String filename)
                             throws java.rmi.RemoteException

  Deprecated.

  This method will save script string to file system

  Parameters:
    `script` - - A String object of Sheduler's script text
    `filename` - - File name that the script will be stored.
  Returns:
    Return true if the operating is success else fasle;
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isScriptFileExist

    boolean isScriptFileExist(java.lang.String filename)
                              throws java.rmi.RemoteException

  Deprecated.

  This method test whether the special script file is exist.

  Parameters:
    `filename` - - File name that will be tested
  Returns:
    Return true if the script file is exist whether false.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### delScriptFile

    void delScriptFile(java.lang.String filename)
                       throws java.rmi.RemoteException

  Deprecated.

  This method will delete the special script file

  Parameters:
    `filename` - - File name that will be tested
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getOndemandReportManager

    RemoteOndemandReportManager getOndemandReportManager()
                                                         throws java.rmi.RemoteException

  Gets OndemandReportManager.

  Returns:
    the OndemandReportManager.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `OndemandReportReportManager`

### getReportInfo

    RemoteReportInfo getReportInfo(java.lang.String userID,
                                   java.lang.String catalog,
                                   int catVerNumber,
                                   java.lang.String report,
                                   int rptVerNumber)
                                   throws java.rmi.RemoteException

  Gets ReportInfo of specific version of catalog and report.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SampleReports/SampleReports.cat.
    `catVerNumber` - version number of the catalog
    `report` - the report name. For example:/SampleReports/CustomerAnalysis.cls.
    `rptVerNumber` - versin number of the report
  Returns:
    the ReportInfo.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `ReportInfo`

### getReportInfo

    RemoteReportInfo getReportInfo(java.lang.String userID,
                                   java.lang.String catalog,
                                   int catVerNumber,
                                   java.lang.String report,
                                   int rptVerNumber,
                                   java.util.Hashtable ht)
                                   throws java.rmi.RemoteException

  Gets ReportInfo of specific version of catalog and report.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server. For example: /SampleReports/SampleReports.cat.
    `catVerNumber` - version number of the catalog
    `report` - the report name. For example:/SampleReports/CustomerAnalysis.cls.
    `rptVerNumber` - versin number of the report
    `ht` - a hashtable contains some additional properties such as catalog DB connection information.
  Returns:
    the ReportInfo.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `ReportInfo`

### getWebPageOptions

    WebPageOptions getWebPageOptions()
                                     throws java.rmi.RemoteException

  Gets WebPageOptions.

  Returns:
    the WebPageOptions.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `WebPageOptions`

### exportScripts

    java.lang.String exportScripts(java.lang.String userID,
                                   java.lang.String[] taskIDs)
                                   throws java.rmi.RemoteException

  Generate script of the specified tasks

  Parameters:
    `taskIDs:` - specified tasks' ID
    `userID:` - specified user id
  Returns:
    scripts string
  Throws:
    `java.rmi.RemoteException`

### parseScripts

    java.util.Properties[] parseScripts(java.lang.String scripts)
                                        throws java.rmi.RemoteException,
                                               RptServerException

  Parse given scripts, and transfer corresponding task into Properties object.

  Parameters:
    `userID` - specified user id
    `scripts` - contents of the scripts
  Returns:
    Properties array whose order corresponds to that of tasks described in scrips. Properties object can be submitted to Server by using the jet.server.api.RptServer.submitScheduledTask method.
  Throws:
    `java.rmi.RemoteException`
    `RptServerException`

### getTriggerManager

    RemoteTriggerManager getTriggerManager()
                                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### submitScheduledTasks

    java.lang.Object[] submitScheduledTasks(java.lang.String userID,
                                            java.util.Properties[] tasks)
                                            throws java.rmi.RemoteException,
                                                   RptServerException

  Submit set of schedule task and return the task ID or Exception.

  Parameters:
    `userID` - the user ID.
    `tasks` - An array of Properties, each Properties object in the array describes a task. Please see the file "INSTALL_ROOT/help/server/en/userguide/apdx_sch.htm" for the instruction of the scheduled task properties.
  Returns:
    Object array that corresponds to array of the submitted tasks. When submission of the corresponding task is successfully, it is the taskID; when failed, it is Exception.
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`
  Since:
    8.00

### getPaperList

    java.lang.String[] getPaperList()
                                    throws java.rmi.RemoteException

  Get the print paper list.

  Returns:
    string array that corresponds to list of print paper type.
  Throws:
    `java.rmi.RemoteException`

### init

    void init(java.util.Properties svrProps)
              throws java.rmi.RemoteException

  Initialize RptServer. This method must be called after RptServer object is created.

  Parameters:
    `svrProps` - properties of the server. These properties related to the implemetation of the RptServer. For the jet.server.jrserver.JRRptServer of Jinfonet's implementation. The property "reporthome" must be set. Other properties are optional. The properties are:
    - reporthome or install.root : Must be set. For example: c:/JREntServer.
    - jrs.isMyServer : Indicates if the HTTP server is JReport standalone server. The default value is "false".
    - temp_dir or jrs.dir.temp : The path of temp directory. The default value is "/temp".
    - history_dir or jrs.dir.history : The directory where all the versions of report results will be maintained. The default value is "/history".
    - auth_scheme : It specifies the scheme of authentication. Its value must be Basic or Digest. The default value is Basic.
    - default_doc : The home page of JReport Enterprise Server. It is an HTML file. If it is not set or the file set to it cannot be loaded, the default home page of JReport Enterprise Server will be used. The path is relative to , for example, docs/index.html.
    - isConvertedServletPath : This property specifies whether your web server decodes the path if it contains special charactors. This information is used for JRServlet to determine whether it needs to convert that path. If you don't specify this property, your web server is supposed not to decode path.
    - vError : Enable output of error messages of JRpeort Engine. Available values true/false.
    - vDebug : Enable output of debug messages of JRpeort Engine. Available values true/false.
    - logFile : Transfer output message of JRpeort engine to the file /logs/report.log or other file as specified.
  Throws:
    `java.rmi.RemoteException`

### start

    void start()
               throws java.rmi.RemoteException

  Starts the RptServer. This method must be called after the RptServer object is initialized.

  Throws:
    `java.rmi.RemoteException`

### restart

    void restart(java.util.Properties svrProps)
                 throws java.rmi.RemoteException

  Restart the RptServer. This method should shutdown RptServer first, then call the start(...) method.

  Parameters:
    `svrProps` - properties of the server. These properties are related to the implementation of RptServer.
  Throws:
    `java.rmi.RemoteException`

### dumpEnginesInfo

    void dumpEnginesInfo()
                         throws java.rmi.RemoteException

  Invoke this method to dump all currently active engine's instant information (status)

  Throws:
    `java.rmi.RemoteException`

### getEngineErrors

    java.util.List getEngineErrors(java.lang.String resultFile)
                                   throws java.rmi.RemoteException

  Get the engine errors after runing a report.

  Throws:
    `java.rmi.RemoteException`

### getWebUIConfig

    RemoteWebUIConfig getWebUIConfig()
                                     throws java.rmi.RemoteException

  Gets WebUIConfig

  Returns:
    the WebUIConfig
  Throws:
    `java.rmi.RemoteException`

### isFreeVirtualAppliance

    boolean isFreeVirtualAppliance()
                                   throws java.rmi.RemoteException

  Whether this server is free virtual appliance.

  Returns:
    whether this server is free virtual appliance.
  Throws:
    `java.rmi.RemoteException`

### getLicenceExpiredDate

    java.lang.String getLicenceExpiredDate()
                                           throws java.rmi.RemoteException

  Gets the expire date of the server license

  Returns:
    a String object representing a date in the format "yyyy-mm-dd" or "Never" representing never expire.
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD